from odbAccess import *
odb=openOdb('smahcbeammix0t_a.odb')
outFile=open('smahcbeammix0t_a.wvt', 'w')
allSteps=odb.steps.values()

firstStep=allSteps[0]
histRegions=firstStep.historyRegions.values()
histOut1=histRegions[0]
histDispl1=histOut1.historyOutputs
histU3=histDispl1['U3']
histU3Data=histU3.data
tempLen=len(histU3Data)

for y in range(tempLen):
	tempOut=(histU3Data[y][0]*75)+75
	U3Out=histU3Data[y][1]+11.4283e-3
	wrtOut='%13.6E %13.6E \n'%(tempOut,U3Out)
	outFile.write(wrtOut)

secondStep=allSteps[1]
histRegions=secondStep.historyRegions.values()
histOut1=histRegions[0]
histDispl1=histOut1.historyOutputs
histU3=histDispl1['U3']
histU3Data=histU3.data
tempLen=len(histU3Data)

for y in range(tempLen):
	tempOut=(histU3Data[y][0]*100)+150
	U3Out=histU3Data[y][1]+11.4283e-3
	wrtOut='%13.6E %13.6E \n'%(tempOut,U3Out)
	outFile.write(wrtOut)

outFile.close()
odb.close()	

