from odbAccess import *
odb=openOdb('smahcbeamt+d_a.odb')
outFile=open('smahcbeamt+d_a.psd', 'w')
emptyLine='%s \n'%(' ')
allSteps=odb.steps.values()
steps=[2,5,8,11]

for y in steps:
	stepLine='%s %2d \n'%('Step -',y)
	outFile.write(emptyLine)
	outFile.write(stepLine)
	outFile.write(emptyLine)
	step=allSteps[y-1]
	frames=step.frames
	lenFrames=len(frames)

	for z in range(1,lenFrames):
		odbFrameObj=frames[z]
		frequency=odbFrameObj.frameValue
		fldOutput=odbFrameObj.fieldOutput
		OutU=fldOutput['U']
		OutU3=OutU.values
		dataOut=OutU3[0].data
		dataU3=dataOut[2]
		wrtOut='%13.6E %13.6E \n'%(frequency,dataU3)
		outFile.write(wrtOut)

outFile.close()
odb.close()

